For AI agents: The documentation index is at https://docs.digitalocean.com/llms.txt. Markdown versions of pages use the same URL with index.html.md in place of the HTML page (for example, append index.html.md to the directory path instead of opening the HTML document).
Usage
client.v2.databases.byDatabase_cluster_uuid(database_cluster_uuid).replicas.get(requestConfiguration?: RequestConfiguration<object>): Promise<undefined | ReplicasGetResponse>
Description
To list all of the read-only replicas associated with a database cluster, send a GET request to /v2/databases/{database_cluster_uuid}/replicas.
Note: Read-only replicas are not supported for Caching or Valkey clusters.
The result will be a JSON object with a replicas key. This will be set to an array of database replica objects, each of which will contain the standard database replica attributes.
Parameters
database_cluster_uuid string required
Example: 9cc10173-e9ea-4176-9dbc-a4cee4c4ff30
A unique identifier for a database cluster.
Request Sample
Show Request Sample
import { FetchRequestAdapter } from "@microsoft/kiota-http-fetchlibrary";
import {
createDigitalOceanClient,
DigitalOceanApiKeyAuthenticationProvider,
} from "@digitalocean/dots";
const authProvider = new DigitalOceanApiKeyAuthenticationProvider(process.env.DIGITALOCEAN_TOKEN!);
const adapter = new FetchRequestAdapter(authProvider);
const client = createDigitalOceanClient(adapter);
const response = await client.v2.databases
.byDatabase_cluster_uuid("9cc10173-e9ea-4176-9dbc-a4cee4c4ff30").replicas.get();
Response Example
Show Response Example
{
"replicas": [
{
"name": "read-nyc3-01",
"connection": {
"uri": "",
"database": "defaultdb",
"host": "read-db.example.com",
"port": 25060,
"user": "doadmin",
"password": "example_password",
"ssl": true
},
"private_connection": {
"uri": "postgres://doadmin:[email protected]:25060/defaultdb?sslmode=require",
"database": "",
"host": "private-read-db.example.com",
"port": 25060,
"user": "doadmin",
"password": "example_password",
"ssl": true
},
"region": "nyc3",
"status": "online",
"created_at": "2019-01-11T18:37:36Z"
}
]
}
See /v2/databases/{database_cluster_uuid}/replicas in the API reference for additional detail on responses, headers, parameters, and more.